var WiKID_Detector_count = 0;
var _enabled = null;

function WiKID_Detector(tabBrowser, browser) {
WiKID_token._trace("=> WiKID_Detector");

    this._tabBrowser = tabBrowser;
    this._browser = browser;
    this._count = WiKID_Detector_count++;
    this._domain = "0";
WiKID_token._trace("WiKID_Detector =>");
};

WiKID_Detector.prototype.loadDataForCurrentDocument = function() {
//WiKID_token._trace("=> WiKID_Detector.prototype.loadDataForCurrentDocument");
    var doc = this._browser.contentDocument;
    var url = doc.location.href;

    if (url.indexOf("http://127.0.0.1") < 0) {
        var linkURLs = [ url ];
        var mimeTypes = [ doc.contentType ];
        var relations = [ "self" ];

        if (doc.getElementsByTagName) {
            try {
                var head = doc.getElementsByTagName("head")[0];
                if (head) { // sometimes documents have no 'head'
                    var links = head.getElementsByTagName("link");
                    for (var i = 0; i < links.length; i++) {
                        var link = links[i];

                          if (link.type.indexOf("application/WiKID") != -1 ){
                              this._enabled= true;
                              if(link.rel.indexOf("authenticator") != -1){
                                domain = link.href;
                                this._domain = domain.substring(8,20);
                              }
                              if(link.rel.indexOf("authRegistrar") != -1){
                                this._regPage = link.href;
                              }
                              if(link.rel.indexOf("authForm") != -1){
                                this._login = link.href;
                              }
                          }
                    }
                }
            } catch (e) {

            }
        }

    } else {
    }

    if (this._enabled) {
        this.updateWindow(true);
    } else {
        this.updateWindow(false);
    }
    this._enabled=null;
//    WiKID_token._trace("WiKID_Detector.prototype.loadDataForCurrentDocument =>");
};

WiKID_Detector.prototype.updateWindow = function(state) {
//WiKID_token._trace("=> WiKID_Detector.prototype.updateWindow");
    var WiKIDIcon = document.getElementById("WiKIDIcon");
    WiKIDIcon.collapsed = !state;
//WiKID_token._trace("WiKID_Detector.prototype.updateWindow =>");
};

WiKID_Detector.prototype.getDom = function() {
    return this._domain;
}

WiKID_Detector.prototype.setDom = function(dom) {
    this._domain = dom;
}

WiKID_Detector.prototype.getRegCodeTarget = function() {
    return this.regcodeTarget;
}

